## org.eclipse.emf.ecoretools.core.nature
Class EcoreNature

    java.lang.Object
      org.eclipse.emf.ecoretools.core.nature.EcoreNature

All Implemented Interfaces:
  org.eclipse.core.resources.IProjectNature

    public class EcoreNature

extends java.lang.Object
implements org.eclipse.core.resources.IProjectNature

Provide a default nature for Ecore related projects

Field Summary
`static java.lang.String` `ECORE_NATURE_ID` The Ecore Nature ID

Constructor Summary
`EcoreNature()`

Method Summary
`void` `configure()`
`void` `deconfigure()`
`org.eclipse.core.resources.IProject` `getProject()`
`void` `setProject(org.eclipse.core.resources.IProject value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ECORE_NATURE_ID

    public static final java.lang.String ECORE_NATURE_ID

  The Ecore Nature ID

  See Also:
    Constant Field Values

Constructor Detail

### EcoreNature

    public EcoreNature()

Method Detail

### configure

    public void configure()
                   throws org.eclipse.core.runtime.CoreException

  Specified by:
    `configure` in interface `org.eclipse.core.resources.IProjectNature`
  Throws:
    `org.eclipse.core.runtime.CoreException`
  See Also:
    `IProjectNature.configure()`

### deconfigure

    public void deconfigure()
                     throws org.eclipse.core.runtime.CoreException

  Specified by:
    `deconfigure` in interface `org.eclipse.core.resources.IProjectNature`
  Throws:
    `org.eclipse.core.runtime.CoreException`
  See Also:
    `IProjectNature.deconfigure()`

### getProject

    public org.eclipse.core.resources.IProject getProject()

  Specified by:
    `getProject` in interface `org.eclipse.core.resources.IProjectNature`
  See Also:
    `IProjectNature.getProject()`

### setProject

    public void setProject(org.eclipse.core.resources.IProject value)

  Specified by:
    `setProject` in interface `org.eclipse.core.resources.IProjectNature`
  See Also:
    `IProjectNature.setProject(org.eclipse.core.resources.IProject)`

Copyright 2007 Anyware Technologies. All Rights Reserved.